## org.eclipse.datatools.sqltools.sqleditor
Interface ISQLEditorInput

All Superinterfaces:
  org.eclipse.core.runtime.IAdaptable, org.eclipse.ui.IEditorInput

All Known Subinterfaces:
  ISQLBuilderEditorInput

All Known Implementing Classes:
  ProcEditorInput, SQLBuilderEditorInput, SQLBuilderFileEditorInput, SQLBuilderStorageEditorInput, SQLEditorStorageEditorInput

    public interface ISQLEditorInput

extends org.eclipse.ui.IEditorInput

This interface is a mix-in interface to be used with an `IEditorInput` to add additional information to the editor input for the SQL editor.

Method Summary
`ISQLEditorConnectionInfo` `getConnectionInfo()`
`java.lang.String` `getId()` Returns the unique identifier that distinguishes this editor input
`boolean` `isConnectionRequired()` Returns whether database connection is required for this editor input to exist.
`void` `setConnectionInfo(ISQLEditorConnectionInfo connInfo)`

Methods inherited from interface org.eclipse.ui.IEditorInput
`exists, getImageDescriptor, getName, getPersistable, getToolTipText`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Method Detail

### setConnectionInfo

    void setConnectionInfo(ISQLEditorConnectionInfo connInfo)

### getConnectionInfo

    ISQLEditorConnectionInfo getConnectionInfo()

### isConnectionRequired

    boolean isConnectionRequired()

  Returns whether database connection is required for this editor input to exist.

  Returns:

### getId

    java.lang.String getId()

  Returns the unique identifier that distinguishes this editor input

  Returns:
    A string id